Skip to main content
PUT
/
groups
/
{group_id}
/
instruments
/
{symbol}
Upsert Group Instrument
curl --request PUT \
  --url https://api.{your-broker}.slate-labs.com/groups/{group_id}/instruments/{symbol} \
  --header 'Content-Type: application/json' \
  --data '
{
  "tradeability": "<string>",
  "spread": 50,
  "margin_rate": 0.5005,
  "swap_type": "<string>",
  "swap_long": 0,
  "swap_short": 0,
  "commission_type": "<string>",
  "commission_value": 25,
  "min_lot": 500.0005,
  "max_lot": 5000.0005,
  "lot_step": 50.0005,
  "max_symbol_exposure": 1
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "instrument_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "symbol": "<string>",
  "tradeability": "<string>",
  "spread": 123,
  "margin_rate": 123,
  "swap_type": "<string>",
  "swap_long": 123,
  "swap_short": 123,
  "commission_type": "<string>",
  "commission_value": 123,
  "min_lot": 123,
  "max_lot": 123,
  "lot_step": 123,
  "max_symbol_exposure": 123
}

Path Parameters

group_id
string<uuid>
required
symbol
string
required

Body

application/json

All override fields are optional. group_instruments is the sole source of commercial terms — there is no fallback to instruments master. Safety limits enforced on all numeric overrides.

tradeability
string | null
spread
number | null
Required range: 0 <= x <= 100
margin_rate
number | null
Required range: 0.001 <= x <= 1
swap_type
string | null
swap_long
number | null
Required range: -50 <= x <= 50
swap_short
number | null
Required range: -50 <= x <= 50
commission_type
string | null
commission_value
number | null
Required range: 0 <= x <= 50
min_lot
number | null
Required range: 0.001 <= x <= 1000
max_lot
number | null
Required range: 0.001 <= x <= 10000
lot_step
number | null
Required range: 0.001 <= x <= 100
max_symbol_exposure
number | null
Required range: x >= 0

Response

Successful Response

id
string<uuid>
required
group_id
string<uuid>
required
instrument_id
string<uuid>
required
symbol
string
required
tradeability
string | null
required
spread
number | null
required
margin_rate
number | null
required
swap_type
string | null
required
swap_long
number | null
required
swap_short
number | null
required
commission_type
string | null
required
commission_value
number | null
required
min_lot
number | null
required
max_lot
number | null
required
lot_step
number | null
required
max_symbol_exposure
number | null